// Not sure where to begin with gtest?
//
// What can I test with gtest?
//
// googletest/googletest/docs/primer.md

#include "gtest/gtest.h"
#include "lastseen.h"

namespace {

TEST(LastSeenTest, basic) {
    LastSeen one(1);

    EXPECT_FALSE(one.seen_before(0));
    EXPECT_TRUE(one.seen_before(0));
    EXPECT_TRUE(one.seen_before(0));
    EXPECT_TRUE(one.seen_before(0));
    EXPECT_FALSE(one.seen_before(1));
    EXPECT_TRUE(one.seen_before(1));
}

TEST(LastSeenTest, Deep2) {
    LastSeen two(2);

    EXPECT_FALSE(two.seen_before(0));
    EXPECT_FALSE(two.seen_before(1));
    EXPECT_TRUE(two.seen_before(0));
    EXPECT_TRUE(two.seen_before(1));
}

}  // namespace

